import type { Node as PmNode, ResolvedPos, Schema } from '@atlaskit/editor-prosemirror/model';
export declare function calcTableColumnWidths(node: PmNode): number[];
export declare function hasMergedCell(tableNode: PmNode): boolean;
export declare function convertProsemirrorTableNodeToArrayOfRows(tableNode: PmNode): Array<Array<PmNode | null>>;
export declare function isPositionNearTableRow(pos: ResolvedPos, schema: Schema, direction: 'before' | 'after'): boolean;
